WordPress.org

Forums

Enable Media Replace
Version 2.5.1 is Broken! (5 posts)

  1. MikeJarosz
    Member
    Posted 3 years ago #

    I installed this plugin before version 2.5.1, and it worked perfectly. Once I installed the latest update of the plugin, it no longer works.

    I get the following error:
    Fatal error: Call to undefined function mime_content_type() in /[edited out for privacy reasons]/wp-content/plugins/enable-media-replace/upload.php on line 32

    http://wordpress.org/extend/plugins/enable-media-replace/

  2. Måns Jonasson
    Member
    Plugin Author

    Posted 3 years ago #

    No, the plugin is not broken.

    Yes, the plugin now requires mime_content_type() which is available in PHP versions above 4.3.

  3. MikeJarosz
    Member
    Posted 3 years ago #

    How do I get a PHP version above 4.3? Does it depend on the company I host my server on?

  4. Måns Jonasson
    Member
    Plugin Author

    Posted 3 years ago #

    Yes, it would. But I've just uploaded a new version (2.5.2) of the plugin which reverts to the old method if mime_content_type does not exist. Please try it out when you can.

  5. MikeJarosz
    Member
    Posted 3 years ago #

    Works perfectly now, thank you!

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Enable Media Replace
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic